#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2
visibility:           public
id:                   kan-extensions-5.2-L9ilzwCQl3755Qn3b3byrk
key:                  kan-extensions-5.2-L9ilzwCQl3755Qn3b3byrk
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  bbe77e80ba290b53dfd1d37f6dde463b
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-8.8.3/site-local/kan-extensions-5.2
library-dirs:         /usr/lib/ghc-8.8.3/site-local/kan-extensions-5.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/kan-extensions-5.2
hs-libraries:         HSkan-extensions-5.2-L9ilzwCQl3755Qn3b3byrk
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-4nsSuI1HaOj5LPiy40sioZ array-0.5.4.0 base-4.13.0.0
    comonad-5.0.6-9vmfn63yZ5TCVSvE579Krk containers-0.6.2.1
    contravariant-1.5.2-DwdzLJHM56h4vdKMLDlSPX
    distributive-0.6.1-LJYk8sq6A4ED5gL9rDtWDG
    free-5.1.3-3eyWieCaIrnv85bVDjUpu
    invariant-0.5.3-2p5PGxKTacz1zSY6WHKCYl mtl-2.2.2
    profunctors-5.5.2-1myTNxZ4RSqGEq2Tc21Ex4
    semigroupoids-5.3.4-AKGKL2lrjmi1GbOLdy8tuN
    tagged-0.8.6-LfhHZ57rMjK9JkdnSRh9cF transformers-0.5.6.2
    transformers-compat-0.6.5-JSMUn8oEOEx4KSfZBSghWS

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

